Public Member Functions | Public Attributes | Friends | List of all members
BeagleWksTextInternal::Section Struct Referencefinal

Internal: a class used to store the section data of a BeagleWksText. More...

Inheritance diagram for BeagleWksTextInternal::Section:

## Public Member Functions
| Section ()
| constructor More...
| ~Section () final
| destructor More...
MWAWEntry | getEntry (int i) const
| return the i^th entry More...
MWAWEntry | getHeaderEntry (bool fPage) const
| return the header entry More...
MWAWEntry | getFooterEntry (bool fPage) const
| return true if we have a header More...
Public Member Functions inherited from MWAWSection
| MWAWSection ()
| constructor More...
virtual | ~MWAWSection ()
| destructor More...
void | setColumns (int num, double width, librevenge::RVNGUnit widthUnit, double colSep=0)
| a function which sets n uniform columns More...
int | numColumns () const
| returns the number of columns More...
bool | hasSingleColumns () const
| returns the true if the section has only one columns More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
void | addColumnsTo (librevenge::RVNGPropertyListVector &propList) const
| add tabs to the propList More...
bool | operator!= (MWAWSection const &sec) const
| operator!= More...
bool | operator== (MWAWSection const &sec) const
| operator== More...

## Public Attributes
MWAWParagraph | m_ruler
| the default section ruler More...
bool | m_hasFirstPage
| a flag to know if the first page is special More...
bool | m_hasHeader
| a flag to know if we need to print the header More...
bool | m_hasFooter
| a flag to know if we need to print the footer More...
long | m_limitPos [5]
| the data limits ( first page header, first page footer, header, footer, end) More...
bool | m_parsed [4]
| true if the data are send to the listener More...
int | m_heights [2]
| the header/footer height More...
int | m_pageNumber
| the page number More...
bool | m_usePageNumber
| true if we need to use the page number More...
std::string | m_extra
| extra data More...
Public Attributes inherited from MWAWSection
std::vector< Column > | m_columns
| the different column More...
double | m_width
| the total section width ( if set ) More...
MWAWBorder | m_columnSeparator
| the vertical separator between columns More...
bool | m_balanceText
| true if the text is balanced between different columns More...
MWAWColor | m_backgroundColor
| the background color More...

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: a class used to store the section data of a BeagleWksText.

## Constructor & Destructor Documentation

## ◆ Section()

BeagleWksTextInternal::Section::Section | ( |  | ) |
| inline

constructor

## ◆ ~Section()

BeagleWksTextInternal::Section::~Section | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getEntry()

MWAWEntry BeagleWksTextInternal::Section::getEntry | ( | int | i | ) | const
| inline

return the i^th entry

## ◆ getFooterEntry()

MWAWEntry BeagleWksTextInternal::Section::getFooterEntry | ( | bool | fPage | ) | const
| inline

return true if we have a header

## ◆ getHeaderEntry()

MWAWEntry BeagleWksTextInternal::Section::getHeaderEntry | ( | bool | fPage | ) | const
| inline

return the header entry

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string BeagleWksTextInternal::Section::m_extra

extra data

Referenced by BeagleWksText::readSection().

## ◆ m_hasFirstPage

bool BeagleWksTextInternal::Section::m_hasFirstPage

a flag to know if the first page is special

Referenced by BeagleWksText::readSection().

## ◆ m_hasFooter

bool BeagleWksTextInternal::Section::m_hasFooter

a flag to know if we need to print the footer

Referenced by BeagleWksText::readSection().

## ◆ m_hasHeader

bool BeagleWksTextInternal::Section::m_hasHeader

a flag to know if we need to print the header

Referenced by BeagleWksText::readSection().

## ◆ m_heights

int BeagleWksTextInternal::Section::m_heights[2]

the header/footer height

Referenced by BeagleWksText::readSection().

## ◆ m_limitPos

long BeagleWksTextInternal::Section::m_limitPos[5]

the data limits ( first page header, first page footer, header, footer, end)

Referenced by BeagleWksText::readSection().

## ◆ m_pageNumber

int BeagleWksTextInternal::Section::m_pageNumber

the page number

Referenced by BeagleWksText::readSection().

## ◆ m_parsed

bool BeagleWksTextInternal::Section::m_parsed[4]
| mutable

true if the data are send to the listener

## ◆ m_ruler

MWAWParagraph BeagleWksTextInternal::Section::m_ruler

the default section ruler

## ◆ m_usePageNumber

bool BeagleWksTextInternal::Section::m_usePageNumber

true if we need to use the page number

Referenced by BeagleWksText::readSection().

The documentation for this struct was generated from the following file:

- BeagleWksText.cxx